JasPer 4.2.9 |

Loading...
Searching...
No Matches
jas_fix.h File Reference

JasPer Fixed-Point Number Class. More...

`#include <jasper/jas_config.h>`
`#include <jasper/jas_types.h>`

Go to the source code of this file.

## Macros
#define | JAS_FIX_ZERO(fix_t, fracbits)
#define | JAS_FIX_ONE(fix_t, fracbits)
#define | JAS_FIX_HALF(fix_t, fracbits)
#define | JAS_INTTOFIX(fix_t, fracbits, x)
#define | JAS_FIXTOINT(fix_t, fracbits, x)
#define | JAS_FIXTODBL(fix_t, fracbits, x)
#define | JAS_DBLTOFIX(fix_t, fracbits, x)
#define | JAS_FIX_ADD JAS_FIX_ADD_FAST
#define | JAS_FIX_ADD_FAST(fix_t, fracbits, x, y)
#define | JAS_FIX_ADD_OFLOW(fix_t, fracbits, x, y)
#define | JAS_FIX_MUL JAS_FIX_MUL_FAST
#define | JAS_FIX_MUL_FAST(fix_t, fracbits, bigfix_t, x, y)
#define | JAS_FIX_MUL_OFLOW(fix_t, fracbits, bigfix_t, x, y)
#define | JAS_FIX_MULBYINT JAS_FIX_MULBYINT_FAST
#define | JAS_FIX_MULBYINT_FAST(fix_t, fracbits, x, y)
#define | JAS_FIX_MULBYINT_OFLOW(fix_t, fracbits, x, y)
#define | JAS_FIX_DIV JAS_FIX_DIV_FAST
#define | JAS_FIX_DIV_FAST(fix_t, fracbits, bigfix_t, x, y)
#define | JAS_FIX_DIV_UFLOW(fix_t, fracbits, bigfix_t, x, y)
#define | JAS_FIX_NEG JAS_FIX_NEG_FAST
#define | JAS_FIX_NEG_FAST(fix_t, fracbits, x)
#define | JAS_FIX_NEG_OFLOW(fix_t, fracbits, x)
#define | JAS_FIX_ASL JAS_FIX_ASL_FAST
#define | JAS_FIX_ASL_FAST(fix_t, fracbits, x, n)
#define | JAS_FIX_ASL_OFLOW(fix_t, fracbits, x, n)
#define | JAS_FIX_ASR JAS_FIX_ASR_FAST
#define | JAS_FIX_ASR_FAST(fix_t, fracbits, x, n)
#define | JAS_FIX_ASR_UFLOW(fix_t, fracbits, x, n)
#define | JAS_FIX_SUB(fix_t, fracbits, x, y)
#define | JAS_FIX_PLUSEQ(fix_t, fracbits, x, y)
#define | JAS_FIX_MINUSEQ(fix_t, fracbits, x, y)
#define | JAS_FIX_MULEQ(fix_t, fracbits, bigfix_t, x, y)
#define | JAS_FIX_ABS(fix_t, fracbits, x)
#define | JAS_FIX_ISINT(fix_t, fracbits, x)
#define | JAS_FIX_SGN(fix_t, fracbits, x)
#define | JAS_FIX_CMP(fix_t, fracbits, x, y)
#define | JAS_FIX_LT(fix_t, fracbits, x, y)
#define | JAS_FIX_LTE(fix_t, fracbits, x, y)
#define | JAS_FIX_GT(fix_t, fracbits, x, y)
#define | JAS_FIX_GTE(fix_t, fracbits, x, y)
#define | JAS_FIX_ROUND(fix_t, fracbits, x)
#define | JAS_FIX_FLOOR(fix_t, fracbits, x)

## Typedefs
typedef int_least64_t | jas_fix_t

## Detailed Description

JasPer Fixed-Point Number Class.